ltk-0.12.1.0: Leksah tool kit

Safe Haskell | Safe-Inferred

Default

Description

Module for default values of a data type

Synopsis

- class Default alpha where
  - getDefault :: alpha

# Documentation

class Default alpha where Source

A class for providing default values for certain types of editors

Methods

getDefault :: alphaSource

Instances

Default Bool |
Default Int |
Default PackageName |
Default Dependency |
Default VersionRange |
Default Version |
Default [alpha] |
Default (Maybe alpha) |
Default alpha => Default (Either alpha beta) |
(Default alpha, Default beta) => Default (alpha, beta) |
(Default alpha, Default beta, Default gamma) => Default (alpha, beta, gamma) |